---
title: Update Web Analytics rules
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[RUM](https://developers.cloudflare.com/api/go/resources/rum)

[Rules](https://developers.cloudflare.com/api/go/resources/rum/subresources/rules)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Update Web Analytics rules

client.RUM.Rules.BulkNew(ctx, rulesetID, params) (\*[RuleBulkNewResponse](<https://developers.cloudflare.com/api/go/resources/rum#(resource)%20rum.rules%20%3E%20(model)%20RuleBulkNewResponse%20%3E%20(schema)>), error)

POST/accounts/{account\_id}/rum/v2/{ruleset\_id}/rules

Modifies one or more rules in a Web Analytics ruleset with a single request.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Account Settings Write`

##### ParametersExpand Collapse

rulesetID string

The Web Analytics ruleset identifier.

[Link to this property](<#(resource)%20rum.rules%20%3E%20(method)%20bulk_create%20%3E%20(params)%20default%20%3E%20(param)%20ruleset_id%20%3E%20(schema)>)

<details>

<summary>

params RuleBulkNewParams

</summary>

AccountID param.Field\[string]

Path param: Identifier.

maxLength32

<a href="#(resource)%20rum.rules%20%3E%20(method)%20bulk_create%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

DeleteRules param.Field\[\[]string]Optional

Body param: A list of rule identifiers to delete.

<a href="#(resource)%20rum.rules%20%3E%20(method)%20bulk_create%20%3E%20(params)%20default%20%3E%20(param)%20delete_rules">Link to this property</a>

<details>

<summary>

Rules param.Field\[\[]RuleBulkNewParamsRule]Optional

Body param: A list of rules to create or update.

</summary>

ID stringOptional

The Web Analytics rule identifier.

<a href="#(resource)%20rum.rules%20%3E%20(method)%20bulk_create%20%3E%20(params)%20default%20%3E%20(param)%20rules%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20id">Link to this property</a>

Host stringOptional

<a href="#(resource)%20rum.rules%20%3E%20(method)%20bulk_create%20%3E%20(params)%20default%20%3E%20(param)%20rules%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20host">Link to this property</a>

Inclusive boolOptional

<a href="#(resource)%20rum.rules%20%3E%20(method)%20bulk_create%20%3E%20(params)%20default%20%3E%20(param)%20rules%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20inclusive">Link to this property</a>

IsPaused boolOptional

<a href="#(resource)%20rum.rules%20%3E%20(method)%20bulk_create%20%3E%20(params)%20default%20%3E%20(param)%20rules%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20is_paused">Link to this property</a>

Paths \[]stringOptional

<a href="#(resource)%20rum.rules%20%3E%20(method)%20bulk_create%20%3E%20(params)%20default%20%3E%20(param)%20rules%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20paths">Link to this property</a>

</details>

<a href="#(resource)%20rum.rules%20%3E%20(method)%20bulk_create%20%3E%20(params)%20default%20%3E%20(param)%20rules">Link to this property</a>

</details>

[Link to this property](<#(resource)%20rum.rules%20%3E%20(method)%20bulk_create%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type RuleBulkNewResponse struct{…}

</summary>

<details>

<summary>

Rules \[]<a href="https://developers.cloudflare.com/api/go/resources/rum#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)">RUMRule</a>Optional

A list of rules.

</summary>

ID stringOptional

The Web Analytics rule identifier.

<a href="#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

Created TimeOptional

formatdate-time

<a href="#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)%20%3E%20(property)%20created">Link to this property</a>

Host stringOptional

The hostname the rule will be applied to.

<a href="#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)%20%3E%20(property)%20host">Link to this property</a>

Inclusive boolOptional

Whether the rule includes or excludes traffic from being measured.

<a href="#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)%20%3E%20(property)%20inclusive">Link to this property</a>

IsPaused boolOptional

Whether the rule is paused or not.

<a href="#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)%20%3E%20(property)%20is_paused">Link to this property</a>

Paths \[]stringOptional

The paths the rule will be applied to.

<a href="#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)%20%3E%20(property)%20paths">Link to this property</a>

Priority float64Optional

<a href="#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)%20%3E%20(property)%20priority">Link to this property</a>

</details>

<a href="#(resource)%20rum.rules%20%3E%20(model)%20RuleBulkNewResponse%20%3E%20(schema)%20%3E%20(property)%20rules">Link to this property</a>

<details>

<summary>

Ruleset RuleBulkNewResponseRulesetOptional

</summary>

ID stringOptional

The Web Analytics ruleset identifier.

<a href="#(resource)%20rum.rules%20%3E%20(model)%20RuleBulkNewResponse%20%3E%20(schema)%20%3E%20(property)%20ruleset%20%3E%20(property)%20id">Link to this property</a>

Enabled boolOptional

Whether the ruleset is enabled.

<a href="#(resource)%20rum.rules%20%3E%20(model)%20RuleBulkNewResponse%20%3E%20(schema)%20%3E%20(property)%20ruleset%20%3E%20(property)%20enabled">Link to this property</a>

ZoneName stringOptional

<a href="#(resource)%20rum.rules%20%3E%20(model)%20RuleBulkNewResponse%20%3E%20(schema)%20%3E%20(property)%20ruleset%20%3E%20(property)%20zone_name">Link to this property</a>

ZoneTag stringOptional

The zone identifier.

<a href="#(resource)%20rum.rules%20%3E%20(model)%20RuleBulkNewResponse%20%3E%20(schema)%20%3E%20(property)%20ruleset%20%3E%20(property)%20zone_tag">Link to this property</a>

</details>

<a href="#(resource)%20rum.rules%20%3E%20(model)%20RuleBulkNewResponse%20%3E%20(schema)%20%3E%20(property)%20ruleset">Link to this property</a>

</details>

[Link to this property](<#(resource)%20rum.rules%20%3E%20(model)%20RuleBulkNewResponse%20%3E%20(schema)>)

### Update Web Analytics rules

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/rum"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.RUM.Rules.BulkNew(
    context.TODO(),
    "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    rum.RuleBulkNewParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Rules)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "rules": [
      {
        "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
        "created": "2014-01-01T05:20:00.12345Z",
        "host": "example.com",
        "inclusive": true,
        "is_paused": false,
        "paths": [
          "*"
        ],
        "priority": 1000
      }
    ],
    "ruleset": {
      "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "enabled": true,
      "zone_name": "example.com",
      "zone_tag": "023e105f4ecef8ad9ca31a8372d0c353"
    }
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "rules": [
      {
        "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
        "created": "2014-01-01T05:20:00.12345Z",
        "host": "example.com",
        "inclusive": true,
        "is_paused": false,
        "paths": [
          "*"
        ],
        "priority": 1000
      }
    ],
    "ruleset": {
      "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "enabled": true,
      "zone_name": "example.com",
      "zone_tag": "023e105f4ecef8ad9ca31a8372d0c353"
    }
  }
}
```